<div class="container mt-5">
  <div class="row">
    <div class="col-6">
      <div class="form-group">
        <label for="text">Добавить заметку</label>
      <textarea class="form-control" id="text" [(ngModel)]="noteText">
      </textarea>
        <button class="btn btn-primary mt-2" *ngIf="!changeStat" (click)="addNote()">Добавить заметку</button>
        <button class="btn btn-primary mt-2" *ngIf="changeStat" (click)="editNote(selectedNote)" >Изменить</button>
      </div>
    </div>
    <div class="col-6">
      <h1>{{selectedUser.name}}</h1>
      <div *ngFor="let note of notes">
        <p *ngIf="selectedUser.id === note.user_id && !note.deleted">{{note.text}}
          <button class="btn btn-outline danger mx-1" (click)="changeSt(note)">Изменить</button>
          <button class="btn btn-outline danger mx-1" (click)="deleteNote(note)">Удалить</button>
        </p>
      </div>
    </div>
  </div>
</div>
